# `DBConnection`

The DBConnection class is accessible via the `sqlobject.dbconnection` module.

## Methods

#### f `__init__(self, name=None, debug=False, debugOutput=False, cache=True, style=None, autoCommit=True, debugThreading=False, registry=None, logger=None, loglevel=None)` ...

#### f `oldUri(self)` ...

#### f `uri(self)` ...

#### f `connectionFromOldURI(cls, uri)` ...

#### f `connectionFromURI(cls, uri)` ...

#### f `soClassAdded(self, soClass)` ...

This is called for each new class; we use this opportunity to create an instance method that is bound to the class and this connection.

#### f `expireAll(self)` ...

Expire all instances of objects for this connection.

See the source for more information.